#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-VUZxXmbfzd6i6xGY9TBme
key:                  hOpenPGP-2.9.5-VUZxXmbfzd6i6xGY9TBme
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  f3c4042cb68b84ab29a180a9629c3a23
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-VUZxXmbfzd6i6xGY9TBme
depends:
    aeson-1.5.6.0-4fHNEU34DqGLin6g6nejhx
    asn1-encoding-0.9.6-JWjfgsVS6ou8h9nh1qBoL7
    attoparsec-0.14.1-HHuimj8kHm8EKDOjwWaON1 base-4.14.1.0
    base16-bytestring-1.0.1.0-Ei5xtYgdA6SC9LoKi8TYOk
    bifunctors-5.5.10-B8UIjmNWbeOFg7Kx6s2BAH binary-0.8.8.0
    binary-conduit-1.3.1-EZNq4Tda8Go7TtEchZAKbA bytestring-0.10.12.0
    bz2-1.0.1.0-HyIEpR26Uww25G5EbBYvZw
    conduit-1.3.4.1-D7tjG3uoOloKYIrANBNmms
    conduit-extra-1.3.5-G24FQkz9FUnCHFHNRQbWB containers-0.6.2.1
    crypto-cipher-types-0.0.9-Kw39klketaCLbNWbTOlAy3
    cryptonite-0.28-Kde43ZVmc9p1nh94wcqdpo
    errors-2.3.0-1jMMqiGok7nGSgO7igf65q
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    incremental-parser-0.5.0.2-Bwv4NYVNjgM1CXy0YRlVW6
    ixset-typed-0.5-Alwqfc4ZS1RLBddoOuo5hY
    lens-5.0.1-53WS5NNHoCX50cMN2bRTHU
    memory-0.15.0-57daFrxs7raALQDe4XhHzD
    monad-loops-0.4.3-C0LVokhtCoUF1FVS5cJB0Q
    nettle-0.3.0-FMm2Vie6K9d6g4URaedR2h
    network-uri-2.6.4.1-B51fs33VEwAKFFO2pdvDFH
    openpgp-asciiarmor-0.1.2-DHEWFbZCIIE3muah2gH5xz
    prettyprinter-1.7.0-6lbYWq4N7HObEaya0BpK1
    resourcet-1.2.4.2-I05cK89rxyx8DxnAUc2p3I
    split-0.2.3.4-IvR0X8Ou77iJ5fuZypuAy5 text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-75n5v6JklqyMdEmBwWBxO
    transformers-0.5.6.2 unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-L0eBZW05rpSJOXS7yU5DxX
    zlib-0.6.2.3-FJKKwkgHftt8Nrt6TYZUVj

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

